Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.jexl2.parser.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException

extends Exception

This exception is thrown when parse errors are encountered.

See Also:
  Serialized Form

Constructor Summary
`ParseException()` Default ctor.
`ParseException(String message)` Constructor with message.
`ParseException(Token currentToken, int[][] expectedTokenSequences, String[] tokenImage)` This constructor is used by the method "generateParseException" in the generated parser.

Method Summary
`String` | `getAfter()` Gets the last correct input.
`int` | `getColumn()` Gets the column number.
`int` | `getLine()` Gets the line number.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(Token currentToken,
                          int[][] expectedTokenSequences,
                          String[] tokenImage)

  This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set.

  Parameters:
    `currentToken` - This is the last token that has been consumed successfully. If this object has been created due to a parse error, the token followng this token will (therefore) be the first error token.
    `expectedTokenSequences` - Each entry in this array is an array of integers. Each array of integers represents a sequence of tokens (by their ordinal values) that is expected at this point of the parse.
    `tokenImage` - This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred. This array is defined in the generated ...Constants interface.

### ParseException

    public ParseException()

  Default ctor.

### ParseException

    public ParseException(String message)

  Constructor with message.

Method Detail

### getLine

    public int getLine()

  Gets the line number.

  Returns:
    line number.

### getColumn

    public int getColumn()

  Gets the column number.

  Returns:
    the column.

### getAfter

    public String getAfter()

  Gets the last correct input.

  Returns:
    the string after which the error occured

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.